Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002532TestLinkReportspublic2009-05-23 02:492014-11-15 19:59
ReporterJSThePatriot 
Assigned Tomhavlat 
PrioritynormalSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.8.3 
Summary0002532: Company Name on Printed Reports Tells to use $tlCfg->company->name
DescriptionOn a printed report in the top right hand corner where the company name would be located, it says the whole "Testlink Community [configure using $tlCfg->company->name]". So I added $tlCfg->company->name to my custom_config.inc.php. This didn't change the company name in that corner.
Additional InformationI looked into the config.inc.php and found:
// ----------------------------------------------------------------------------
/** [GENERATED DOCUMENTATION] */

/**
 * Texts and settings for printed documents
 * Leave text values empty if you would like to disable it.
 */
$tlCfg->document_generator->company_name = 'Testlink Community [configure using $tlCfg->company->name]';

/** Image is expected in directory <testlink_root>/gui/themes/<your_theme>/images/ */
$tlCfg->document_generator->company_copyright = '2009 (c) Testlink Community';
$tlCfg->document_generator->confidential_msg = '';

/** CSS used in printed html documents */
$tlCfg->document_generator->css_template = $tlCfg->theme_dir . 'css/tl_documents.css';

/** Misc settings */
$tlCfg->document_generator->tc_version_enabled = FALSE;

After that I also found further below in the non-edit section:
$tlCfg->document_generator->company_logo = $tlCfg->company_logo;

So I added:
$tlCfg->document_generator->company_name = $tlCfg->company->name;

The above change to config.inc.php made it work as expected. I would also like to point out that the naming conventions for those two variables are quite different. I think they should be the same. It would seem my final should be redone to: $tlCfg->document_generator->company_name = $tlCfg->company_name;.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3.0.10
PHP Version5.2.8
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0007053)
mhavlat (reporter)
2009-05-26 21:32

Fixed. Thanks.

- Issue History
Date Modified Username Field Change
2009-05-23 02:49 JSThePatriot New Issue
2009-05-23 02:49 JSThePatriot Browser => Firefox 3.0.10
2009-05-23 02:49 JSThePatriot PHP Version => 5.2.8
2009-05-24 10:40 mhavlat Status new => assigned
2009-05-24 10:40 mhavlat Assigned To => mhavlat
2009-05-26 21:32 mhavlat Note Added: 0007053
2009-05-26 21:32 mhavlat Status assigned => resolved
2009-05-26 21:32 mhavlat Fixed in Version => 1.8.3 (bug fixing)
2009-05-26 21:32 mhavlat Resolution open => fixed
2010-01-13 21:43 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker